#ifndef MAILTO_H
#define MAILTO_H

		/* Data structures used by mail routines */

typedef struct stringlist {
  char *string;			/* One string of the list */
  struct stringlist *next;	/* Link to next string */
} StringList;

typedef struct userlist {
  uid_t uid;			/* User id of user */
  StringList *note_list;	/* Pointer to list of items for notice */
  StringList *note_tail;	/* Link to tail of note_list */
  struct userlist *next;	/* Link to next user */
} UserList;

#ifdef MAILTO_C
char *at_host=NULL;		/* optional "@host.domain" for mail messages */
#else
extern char *at_host;
#endif

		/* Routines provided by mailto.c */

				/* Routine to mail message to user */
void mailto(char *username, char *subject,
	    StringList *preamble, StringList *message);

				/* Routine to record a filename for notice */
void make_note(char *note, uid_t uid);

				/* Routine to do the mailing */
void mail_notices(char *subject, char *preamble_filename);

#endif
